// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#include "Background.h"
#include "Colors.h"

#include "SDLHandler.h"

namespace blocks
{

Background::Background(ScreenGrid const& screen)
  : screen_(screen)
{
}

void Background::Draw(SDLHandler* sdl_handler)
{
  GLfloat vVertices[] = { 1.0f,  1.0f, 0.0f,
                         -1.0f, -1.0f, 0.0f,
                          1.0f, -1.0f, 0.0f };

  glVertexAttribPointer(0, 3, GL_FLOAT, GL_FALSE, 0, vVertices);
  glEnableVertexAttribArray(0);

  glVertexAttrib4fv(1, BLUE.color_);

  glDrawArrays(GL_TRIANGLES, 0, 3);
}

}
