// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#include "Button.h"
#include "Colors.h"

#include "SDLHandler.h"

namespace blocks
{

Button::Button(int x, int y, int size)
  : Cell(x, y, size)
  , x_(x)
  , y_(y)
  , size_(size)
{
}

bool Button::MouseInside(int x, int y) const
{
  if (x >= x_ && x <= x_ + size_ &&
      y >= y_ && y <= y_ + size_)
  {
    return true;
  }

  return false;
}

}
