// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef CELL_H
#define CELL_H

#include "Color.h"

#include <GLES2/gl2.h>

class SDLHandler;

namespace blocks
{

class Cell
{
public:
  Cell(int x, int y, int size);

  void Draw(SDLHandler* sdl_handler);
  
  void SetPhased();
  void UnsetPhased();

  void SetWall();
  void RemoveWall();
  void SetColor(Color const& color);
  bool Marked() const;

private:
  void DrawLightBorder(float w, float h);
  void DrawDarkBorder(float w, float h);
  void DrawCell(float w, float h);

  float x_,y_;
  float size_;
  Color color_;
  bool wall_;
  bool phased_;
};

}

#endif // CELL_H
