// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef COLOR_H
#define COLOR_H

#include <GLES2/gl2.h>

class Color
{
public:
  Color(float r = 0.0f, float g = 0.0f, float b = 0.0f, float a = 1.0f);
  Color(GLfloat const color[4]);
  Color(Color const& color);

  bool operator==(Color const& color) const;
  bool operator!=(Color const& color) const;

  GLfloat color_[4];
};

Color GetRandomColor();
Color SwapTwoColors(Color const& color1, Color const& color2);

#endif // COLOR_H
