// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef COLORS_H
#define COLORS_H

#include <GLES2/gl2.h>
#include "Color.h"

bool CompreColors(GLfloat const color1[4], GLfloat const color2[4]);

Color const RED       = {0.6f, 0.0f, 0.0f, 1.0f};
Color const GREEN     = {0.0f, 0.6f, 0.0f, 1.0f};
Color const BLUE      = {0.0f, 0.0f, 0.6f, 1.0f};
Color const PURPLE    = {0.6f, 0.0f, 0.6f, 1.0f};
Color const YELLOW    = {0.8f, 0.8f, 0.0f, 1.0f};
Color const CYAN      = {0.0f, 0.8f, 0.8f, 1.0f};
Color const ORANGE    = {0.8f, 0.5f, 0.0f, 1.0f};
Color const BLACK     = {0.0f, 0.0f, 0.0f, 1.0f};
Color const DARK_GRAY = {0.2f, 0.2f, 0.2f, 1.0f};
Color const GRAY      = {0.3f, 0.3f, 0.3f, 1.0f};
Color const SILVER    = {0.75f, 0.75f, 0.75f, 1.0f};
Color const LIGHT_GRAY= {0.9f, 0.9f, 0.9f, 0.9f};

#endif // COLORS_H
