// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#include "JPiece.h"
#include "Colors.h"

namespace blocks
{

/* J Piece:
 * _ = empty
 * x = cell/point
 *
 * x__
 * xxx
 *
*/

JPiece::JPiece(Point const& start)
  : Piece()
{
  points_.push_back(start);
  points_.push_back(start.Down());
  points_.push_back(start.Down().Right());
  points_.push_back(start.Down().Right().Right());

  color_ = BLUE;
  pivot_ = start.Down();
}

bool JPiece::CanRotate() const
{
  return true;
}

}
