// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef PIECE_FACTORY_H
#define PIECE_FACTORY_H

#include "Piece.h"
#include "Point.h"

#include <memory>
#include <vector>

namespace blocks
{

enum PIECES
{
  IPIECE,
  JPIECE,
  LPIECE,
  OPIECE,
  SPIECE,
  TPIECE,
  ZPIECE
};

class PieceFactory
{
public:
  PieceFactory();

  // FIXME seed is for debugging...
  Piece::Ptr GenerateRandomPiece(Point const& start, int seed = -1) const;

  int GetRandomSeed();

private:
  std::vector<int> bag_of_pieces_;
};

}

#endif // PIECE_FACTORY_H
