// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef POINT_H
#define POINT_H

namespace blocks
{

enum Direction
{
  RIGHT,
  UP,
  LEFT,
  DOWN
};

class Point
{
public:
  Point(int x = 0, int y = 0);

  int x() const;
  int y() const;

  Point Right() const;
  Point Left() const;
  Point Up() const;
  Point Down() const;
  Point MoveDirection(Direction const& direction);

  Point operator+(Point const& point) const;
  Point operator-(Point const& point) const;
  bool operator==(Point const& point) const;
  bool operator!=(Point const& point) const;

private:
  int x_;
  int y_;

};

}

#endif // POINT_H
