// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#include "SPiece.h"
#include "Colors.h"

namespace blocks
{

/* S Piece:
 *
 * _xx
 * xx_
 *
*/

SPiece::SPiece(Point const& start)
{
  points_.push_back(start.Right());
  points_.push_back(start.Right().Right());
  points_.push_back(start.Down());
  points_.push_back(start.Down().Right());

  color_ = GREEN;
  pivot_ = start.Right();
}

bool SPiece::CanRotate() const
{
  return true;
}

}
