// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef SCREEN_GRID_H
#define SCREEN_GRID_H

#include "SDLHandler.h"

class ScreenGrid
{
public:
  ScreenGrid(int w, int h, int max_x_cells, int max_y_cells, int spacing);

  int GetCenterX(int x_cells) const;

  int GetX(int x) const;
  int GetY(int y) const;
  int CellSize() const;

private:
  int cell_size_;
  int width_;
  int height_;
  int spacing_;
};

#endif // SCREEN_GRID_H
