// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Brandon Schaefer <brandontschaefer@gmail.com>
 */

#ifndef ANIMATION_H
#define ANIMATION_H

#include <sigc++/signal.h>

class Timer
{
public:
  Timer(float duration, float tick_speed = 0.5f);

  void Start();
  void Stop();
  void Restart(float duration, float tick_speed);
  bool IsRunning() const;

  void Tick(float delta_time);

  sigc::signal<void> update;
  sigc::signal<void> done;
private:
  float duration_;
  float tick_speed_;
  float total_;
  float current_;

  bool running_;
};

#endif // ANIMATION_H
